#include "wtime.h"

void initTiming() {
	printf("Timing: Using getrusage()\n");
}


double Wtime ( void )
{
  struct rusage Rusage;
  double UserTime, SystemTime;

  if ( getrusage ( RUSAGE_SELF, &Rusage ) )
	return 0; /* can't get resource usage */
  
  UserTime   = (double) Rusage.ru_utime.tv_sec + (double) Rusage.ru_utime.tv_usec / 1000000.;
  SystemTime = (double) Rusage.ru_stime.tv_sec + (double) Rusage.ru_stime.tv_usec / 1000000.;

  return UserTime + SystemTime; 

} 
